package com.tomas.pcs_asi.ListData;

public class Get_Item_BOM {
    String ICSProductCode, ProductName, ICSPart, PartName, LotNo, Rank, Disbursement, Start_date,
            Service_Life,  Material_Exp, Process, Status, Add, Qty, Unit;

    public Get_Item_BOM(String ICSProductCode, String productName, String ICSPart, String partName,
                        String LotNo, String Rank, String Disbursement, String Start_date, String Service_Life, String Material_Exp,
                        String Process, String Status, String Add, String Qty ,String Unit) {
        this.ICSProductCode = ICSProductCode;
        this.ProductName = productName;
        this.ICSPart = ICSPart;
        this.PartName = partName;
        this.LotNo = LotNo;
        this.Rank = Rank;
        this.Disbursement = Disbursement;
        this.Start_date = Start_date;
        this.Service_Life = Service_Life;
        this.Material_Exp = Material_Exp;
        this.Process = Process;
        this.Status = Status;
        this.Add = Add;
        this.Qty = Qty; //for process time
        this.Unit = Unit; // type material

    }

    public String getStart_date() {
        return Start_date;
    }

    public void setStart_date(String start_date) {
        Start_date = start_date;
    }

    public String getService_Life() {
        return Service_Life;
    }

    public void setService_Life(String service_Life) {
        Service_Life = service_Life;
    }

    public String getICSProductCode() {
        return ICSProductCode;
    }

    public void setICSProductCode(String ICSProductCode) {
        this.ICSProductCode = ICSProductCode;
    }

    public String getProductName() {
        return ProductName;
    }

    public void setProductName(String productName) {
        ProductName = productName;
    }

    public String getICSPart() {
        return ICSPart;
    }

    public void setICSPart(String ICSPart) {
        this.ICSPart = ICSPart;
    }

    public String getPartName() {
        return PartName;
    }

    public void setPartName(String partName) {
        PartName = partName;
    }

    public String getLotNo() {
        return LotNo;
    }

    public void setLotNo(String lotNo) {
        LotNo = lotNo;
    }

    public String getRank() {
        return Rank;
    }

    public void setRank(String rank) {
        Rank = rank;
    }

    public String getDisbursement() {
        return Disbursement;
    }

    public void setDisbursement(String disbursement) {
        Disbursement = disbursement;
    }

    public String getMaterial_Exp() {
        return Material_Exp;
    }

    public void setMaterial_Exp(String material_Exp) {
        Material_Exp = material_Exp;
    }

    public String getProcess() {
        return Process;
    }

    public void setProcess(String process) {
        Process = process;
    }

    public String getStatus() {
        return Status;
    }

    public void setStatus(String status) {
        Status = status;
    }

    public String getAdd() {
        return Add;
    }

    public void setAdd(String add) {
        Add = add;
    }

    public String getQty() {
        return Qty;
    }

    public void setQty(String qty) {
        Qty = qty;
    }

    public String getUnit() {
        return Unit;
    }

    public void setUnit(String unit) {
        Unit = unit;
    }
}
